Package com.zoho.analytics.jdbc

## Class ZohoAnalyticsDatabaseMetadata

- java.lang.Object
- - com.zoho.analytics.jdbc.ZohoAnalyticsWrapper
  - - com.zoho.analytics.jdbc.ZohoAnalyticsDatabaseMetadata

- All Implemented Interfaces:
    `java.sql.DatabaseMetaData`, `java.sql.Wrapper`

      public class ZohoAnalyticsDatabaseMetadata
      extends ZohoAnalyticsWrapper
      implements java.sql.DatabaseMetaData

- - ### Field Summary

    - ### Fields inherited from interface java.sql.DatabaseMetaData

      `attributeNoNulls, attributeNullable, attributeNullableUnknown, bestRowNotPseudo, bestRowPseudo, bestRowSession, bestRowTemporary, bestRowTransaction, bestRowUnknown, columnNoNulls, columnNullable, columnNullableUnknown, functionColumnIn, functionColumnInOut, functionColumnOut, functionColumnResult, functionColumnUnknown, functionNoNulls, functionNoTable, functionNullable, functionNullableUnknown, functionResultUnknown, functionReturn, functionReturnsTable, importedKeyCascade, importedKeyInitiallyDeferred, importedKeyInitiallyImmediate, importedKeyNoAction, importedKeyNotDeferrable, importedKeyRestrict, importedKeySetDefault, importedKeySetNull, procedureColumnIn, procedureColumnInOut, procedureColumnOut, procedureColumnResult, procedureColumnReturn, procedureColumnUnknown, procedureNoNulls, procedureNoResult, procedureNullable, procedureNullableUnknown, procedureResultUnknown, procedureReturnsResult, sqlStateSQL, sqlStateSQL99, sqlStateXOpen, tableIndexClustered, tableIndexHashed, tableIndexOther, tableIndexStatistic, typeNoNulls, typeNullable, typeNullableUnknown, typePredBasic, typePredChar, typePredNone, typeSearchable, versionColumnNotPseudo, versionColumnPseudo, versionColumnUnknown`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `allProceduresAreCallable()` | `See allProceduresAreCallable()`
    `boolean` | `allTablesAreSelectable()` | `See allTablesAreSelectable()`
    `boolean` | `autoCommitFailureClosesAllResultSets()` | Not implemented `See autoCommitFailureClosesAllResultSets`
    `boolean` | `dataDefinitionCausesTransactionCommit()` | `See dataDefinitionCausesTransactionCommit()`
    `boolean` | `dataDefinitionIgnoredInTransactions()` | `See dataDefinitionIgnoredInTransactions()`
    `boolean` | `deletesAreDetected​(int type)` | `See deletesAreDetected(int)`
    `boolean` | `doesMaxRowSizeIncludeBlobs()` | `See doesMaxRowSizeIncludeBlobs()`
    `boolean` | `generatedKeyAlwaysReturned()` | Not implemented `See getPseudoColumns`
    `java.sql.ResultSet` | `getAttributes​(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String typeNamePattern, java.lang.String attributeNamePattern)` | `See getAttributes(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`
    `java.sql.ResultSet` | `getBestRowIdentifier​(java.lang.String catalog, java.lang.String schema, java.lang.String table, int scope, boolean nullable)` | `See getBestRowIdentifier(java.lang.String, java.lang.String, java.lang.String, int, boolean)`
    `java.sql.ResultSet` | `getCatalogs()` | `See getCatalogs()`
    `java.lang.String` | `getCatalogSeparator()` | `See getCatalogSeparator()`
    `java.lang.String` | `getCatalogTerm()` | `See getCatalogTerm()`
    `java.sql.ResultSet` | `getClientInfoProperties()` | Not implemented `See getClientInfoProperties`
    `java.sql.ResultSet` | `getColumnPrivileges​(java.lang.String catalog, java.lang.String schema, java.lang.String table, java.lang.String columnNamePattern)` | `See getColumnPrivileges(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`
    `java.sql.ResultSet` | `getColumns​(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String columnNamePattern)` | `See getColumns(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`
    `java.sql.Connection` | `getConnection()` | `See getConnection()`
    `java.sql.ResultSet` | `getCrossReference​(java.lang.String primaryCatalogName, java.lang.String primarySchemaName, java.lang.String primaryTableName, java.lang.String foreignCatalogName, java.lang.String foreignSchemaName, java.lang.String foreignTableName)` | `See getCrossReference(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`
    `int` | `getDatabaseMajorVersion()` | `See getDatabaseMajorVersion()`
    `int` | `getDatabaseMinorVersion()` | `See getDatabaseMinorVersion()`
    `java.lang.String` | `getDatabaseProductName()` | `See getDatabaseProductName()`
    `java.lang.String` | `getDatabaseProductVersion()` | `See getDatabaseProductVersion()`
    `int` | `getDefaultTransactionIsolation()` | `See getDefaultTransactionIsolation()`
    `int` | `getDriverMajorVersion()` | `See getDriverMajorVersion()`
    `int` | `getDriverMinorVersion()` | `See getDriverMinorVersion()`
    `java.lang.String` | `getDriverName()` | `See getDriverName()`
    `java.lang.String` | `getDriverVersion()` | `See getDriverVersion()`
    `java.sql.ResultSet` | `getExportedKeys​(java.lang.String catalog, java.lang.String schema, java.lang.String tableName)` | `See getExportedKeys(java.lang.String, java.lang.String, java.lang.String)`
    `java.lang.String` | `getExtraNameCharacters()` | `See getExtraNameCharacters()`
    `java.sql.ResultSet` | `getFunctionColumns​(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String functionNamePattern, java.lang.String columnNamePattern)` | Not implemented `See getFunctionColumns`
    `java.sql.ResultSet` | `getFunctions​(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String functionNamePattern)` | Not implemented `See getFunctions`
    `java.lang.String` | `getIdentifierQuoteString()` | `See getIdentifierQuotejava.lang.String()`
    `java.sql.ResultSet` | `getImportedKeys​(java.lang.String catalog, java.lang.String schema, java.lang.String table)` | `See getImportedKeys(java.lang.String, java.lang.String, java.lang.String)`
    `java.sql.ResultSet` | `getIndexInfo​(java.lang.String catalog, java.lang.String schema, java.lang.String table, boolean unique, boolean approximate)` | getImported `See getIndexInfo(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`
    `int` | `getJDBCMajorVersion()` | `See getJDBCMajorVersion()`
    `int` | `getJDBCMinorVersion()` | `See getJDBCMinorVersion()`
    `int` | `getMaxBinaryLiteralLength()` | `See getMaxBinaryLiteralLength()`
    `int` | `getMaxCatalogNameLength()` | `See getMaxCatalogNameLength()`
    `int` | `getMaxCharLiteralLength()` | `See getMaxCharLiteralLength()`
    `int` | `getMaxColumnNameLength()` | `See getMaxColumnNameLength()`
    `int` | `getMaxColumnsInGroupBy()` | `See getMaxColumnsInGroupBy()`
    `int` | `getMaxColumnsInIndex()` | `See getMaxColumnsInIndex()`
    `int` | `getMaxColumnsInOrderBy()` | `See getMaxColumnsInOrderBy()`
    `int` | `getMaxColumnsInSelect()` | `See getMaxColumnsInSelect()`
    `int` | `getMaxColumnsInTable()` | `See getMaxColumnsInTable()`
    `int` | `getMaxConnections()` | `See getMaxConnections()`
    `int` | `getMaxCursorNameLength()` | `See getMaxCursorNameLength()`
    `int` | `getMaxIndexLength()` | `See getMaxIndexLength()`
    `int` | `getMaxProcedureNameLength()` | `See getMaxProcedureNameLength()`
    `int` | `getMaxRowSize()` | `See getMaxRowSize()`
    `int` | `getMaxSchemaNameLength()` | `See getMaxSchemaNameLength()`
    `int` | `getMaxStatementLength()` | `See getMaxStatementLength()`
    `int` | `getMaxStatements()` | `See getMaxStatements()`
    `int` | `getMaxTableNameLength()` | `See getMaxTableNameLength()`
    `int` | `getMaxTablesInSelect()` | `See getMaxTablesInSelect()`
    `int` | `getMaxUserNameLength()` | `See getMaxUserNameLength()`
    `java.lang.String` | `getNumericFunctions()` | `See getNumericFunctions()`
    `java.sql.ResultSet` | `getPrimaryKeys​(java.lang.String catalog, java.lang.String schema, java.lang.String table)` | `See getPrimaryKeys(java.lang.String, java.lang.String, java.lang.String)`
    `java.sql.ResultSet` | `getProcedureColumns​(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String procedureNamePattern, java.lang.String columnNamePattern)` | `See getProcedureColumns(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`
    `java.sql.ResultSet` | `getProcedures​(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String procedureNamePattern)` | `See getProcedures(java.lang.String, java.lang.String, java.lang.String)`
    `java.lang.String` | `getProcedureTerm()` | `See getProcedureTerm()`
    `java.sql.ResultSet` | `getPseudoColumns​(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String columnNamePattern)` | Not implemented `See getPseudoColumns`
    `int` | `getResultSetHoldability()` | `See getResultSetHoldability()`
    `java.sql.RowIdLifetime` | `getRowIdLifetime()` | Not implemented `See getRowIdLifetime`
    `java.sql.ResultSet` | `getSchemas()` | Not implemented `See getSchemas()`
    `java.sql.ResultSet` | `getSchemas​(java.lang.String catalog, java.lang.String schemaPattern)` | Not implemented `See getSchemas(java.lang.String, java.lang.String)`
    `java.lang.String` | `getSchemaTerm()` | `See getSchemaTerm()`
    `java.lang.String` | `getSearchStringEscape()` | `See getSearchjava.lang.StringEscape()`
    `java.lang.String` | `getSQLKeywords()` | `See getSQLKeywords()`
    `int` | `getSQLStateType()` | `See getSQLStateType()`
    `java.lang.String` | `getStringFunctions()` | `See getjava.lang.StringFunctions()`
    `java.sql.ResultSet` | `getSuperTables​(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern)` | `See getSuperTables(java.lang.String, java.lang.String, java.lang.String)`
    `java.sql.ResultSet` | `getSuperTypes​(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String typeNamePattern)` | `See getSuperTypes(java.lang.String, java.lang.String, java.lang.String)`
    `java.lang.String` | `getSystemFunctions()` | `See getSystemFunctions()`
    `java.sql.ResultSet` | `getTablePrivileges​(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern)` | `See getTablePrivileges(java.lang.String, java.lang.String, java.lang.String)`
    `java.sql.ResultSet` | `getTables​(java.lang.String catalogName, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String[] types)` | `See getTables(java.lang.String, java.lang.String, java.lang.String, java.lang.String[])`
    `java.sql.ResultSet` | `getTableTypes()` | `See getTableTypes()`
    `java.lang.String` | `getTimeDateFunctions()` | `See getTimeDateFunctions()`
    `java.sql.ResultSet` | `getTypeInfo()` | `See getTypeInfo()`
    `java.sql.ResultSet` | `getUDTs​(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String typeNamePattern, int[] types)` | `See getUDTs(java.lang.String, java.lang.String, java.lang.String, int[])`
    `java.lang.String` | `getURL()` | `See getURL()`
    `java.lang.String` | `getUserName()` | `See getUserName()`
    `java.sql.ResultSet` | `getVersionColumns​(java.lang.String catalog, java.lang.String schema, java.lang.String table)` | `See getVersionColumns(java.lang.String, java.lang.String, java.lang.String)`
    `boolean` | `insertsAreDetected​(int type)` | `See insertsAreDetected(int)`
    `boolean` | `isCatalogAtStart()` | `See isCatalogAtStart()`
    `boolean` | `isReadOnly()` | `See isReadOnly()`
    `boolean` | `locatorsUpdateCopy()` | `See locatorsUpdateCopy()`
    `boolean` | `nullPlusNonNullIsNull()` | `See nullPlusNonNullIsNull()`
    `boolean` | `nullsAreSortedAtEnd()` | `See nullsAreSortedAtEnd()`
    `boolean` | `nullsAreSortedAtStart()` | `See nullsAreSortedAtStart()`
    `boolean` | `nullsAreSortedHigh()` | `See nullsAreSortedHigh()`
    `boolean` | `nullsAreSortedLow()` | `See nullsAreSortedLow()`
    `boolean` | `othersDeletesAreVisible​(int type)` | `See othersDeletesAreVisible(int)`
    `boolean` | `othersInsertsAreVisible​(int type)` | `See othersInsertsAreVisible(int)`
    `boolean` | `othersUpdatesAreVisible​(int type)` | `See othersUpdatesAreVisible(int)`
    `boolean` | `ownDeletesAreVisible​(int type)` | `See ownDeletesAreVisible(int)`
    `boolean` | `ownInsertsAreVisible​(int type)` | `See ownInsertsAreVisible(int)`
    `boolean` | `ownUpdatesAreVisible​(int type)` | `See ownUpdatesAreVisible(int)`
    `boolean` | `storesLowerCaseIdentifiers()` | `See storesLowerCaseIdentifiers()`
    `boolean` | `storesLowerCaseQuotedIdentifiers()` | `See storesLowerCaseQuotedIdentifiers()`
    `boolean` | `storesMixedCaseIdentifiers()` | `See storesMixedCaseIdentifiers()`
    `boolean` | `storesMixedCaseQuotedIdentifiers()` | `See storesMixedCaseQuotedIdentifiers()`
    `boolean` | `storesUpperCaseIdentifiers()` | `See storesUpperCaseIdentifiers()`
    `boolean` | `storesUpperCaseQuotedIdentifiers()` | `See storesUpperCaseQuotedIdentifiers()`
    `boolean` | `supportsAlterTableWithAddColumn()` | `See supportsAlterTableWithAddColumn()`
    `boolean` | `supportsAlterTableWithDropColumn()` | `See supportsAlterTableWithDropColumn()`
    `boolean` | `supportsANSI92EntryLevelSQL()` | `See supportsANSI92EntryLevelSQL()`
    `boolean` | `supportsANSI92FullSQL()` | `See supportsANSI92FullSQL()`
    `boolean` | `supportsANSI92IntermediateSQL()` | `See supportsANSI92IntermediateSQL()`
    `boolean` | `supportsBatchUpdates()` | `See supportsBatchUpdates()`
    `boolean` | `supportsCatalogsInDataManipulation()` | `See supportsCatalogsInDataManipulation()`
    `boolean` | `supportsCatalogsInIndexDefinitions()` | `See supportsCatalogsInIndexDefinitions()`
    `boolean` | `supportsCatalogsInPrivilegeDefinitions()` | `See supportsCatalogsInPrivilegeDefinitions()`
    `boolean` | `supportsCatalogsInProcedureCalls()` | `See supportsCatalogsInProcedureCalls()`
    `boolean` | `supportsCatalogsInTableDefinitions()` | `See supportsCatalogsInTableDefinitions()`
    `boolean` | `supportsColumnAliasing()` | `See supportsColumnAliasing()`
    `boolean` | `supportsConvert()` | `See supportsConvert()`
    `boolean` | `supportsConvert​(int fromType, int toType)` | `See supportsConvert(int, int)`
    `boolean` | `supportsCoreSQLGrammar()` | `See supportsCoreSQLGrammar()`
    `boolean` | `supportsCorrelatedSubqueries()` | `See supportsCorrelatedSubqueries()`
    `boolean` | `supportsDataDefinitionAndDataManipulationTransactions()` | `See supportsDataDefinitionAndDataManipulationTransactions()`
    `boolean` | `supportsDataManipulationTransactionsOnly()` | `See supportsDataManipulationTransactionsOnly()`
    `boolean` | `supportsDifferentTableCorrelationNames()` | `See supportsDifferentTableCorrelationNames()`
    `boolean` | `supportsExpressionsInOrderBy()` | `See supportsExpressionsInOrderBy()`
    `boolean` | `supportsExtendedSQLGrammar()` | `See supportsExtendedSQLGrammar()`
    `boolean` | `supportsFullOuterJoins()` | `See supportsFullOuterJoins()`
    `boolean` | `supportsGetGeneratedKeys()` | `See supportsGetGeneratedKeys()`
    `boolean` | `supportsGroupBy()` | `See supportsGroupBy()`
    `boolean` | `supportsGroupByBeyondSelect()` | `See supportsGroupByBeyondSelect()`
    `boolean` | `supportsGroupByUnrelated()` | `See supportsGroupByUnrelated()`
    `boolean` | `supportsIntegrityEnhancementFacility()` | `See supportsIntegrityEnhancementFacility()`
    `boolean` | `supportsLikeEscapeClause()` | `See supportsLikeEscapeClause()`
    `boolean` | `supportsLimitedOuterJoins()` | `See supportsLimitedOuterJoins()`
    `boolean` | `supportsMinimumSQLGrammar()` | `See supportsMinimumSQLGrammar()`
    `boolean` | `supportsMixedCaseIdentifiers()` | `See supportsMixedCaseIdentifiers()`
    `boolean` | `supportsMixedCaseQuotedIdentifiers()` | `See supportsMixedCaseQuotedIdentifiers()`
    `boolean` | `supportsMultipleOpenResults()` | `See supportsMultipleOpenResults()`
    `boolean` | `supportsMultipleResultSets()` | `See supportsMultipleResultSets()`
    `boolean` | `supportsMultipleTransactions()` | `See supportsMultipleTransactions()`
    `boolean` | `supportsNamedParameters()` | `See supportsNamedParameters()`
    `boolean` | `supportsNonNullableColumns()` | `See supportsNonNullableColumns()`
    `boolean` | `supportsOpenCursorsAcrossCommit()` | `See supportsOpenCursorsAcrossCommit()`
    `boolean` | `supportsOpenCursorsAcrossRollback()` | `See supportsOpenCursorsAcrossRollback()`
    `boolean` | `supportsOpenStatementsAcrossCommit()` | `See supportsOpenStatementsAcrossCommit()`
    `boolean` | `supportsOpenStatementsAcrossRollback()` | `See supportsOpenStatementsAcrossRollback()`
    `boolean` | `supportsOrderByUnrelated()` | `See supportsOrderByUnrelated()`
    `boolean` | `supportsOuterJoins()` | `See supportsOuterJoins()`
    `boolean` | `supportsPositionedDelete()` | `See supportsPositionedDelete()`
    `boolean` | `supportsPositionedUpdate()` | `See supportsPositionedUpdate()`
    `boolean` | `supportsResultSetConcurrency​(int type, int concurrency)` | `See supportsResultSetConcurrency(int, int)`
    `boolean` | `supportsResultSetHoldability​(int holdability)` | `See supportsResultSetHoldability(int)`
    `boolean` | `supportsResultSetType​(int type)` | `See supportsResultSetType(int)`
    `boolean` | `supportsSavepoints()` | `See supportsSavepoints()`
    `boolean` | `supportsSchemasInDataManipulation()` | `See supportsSchemasInDataManipulation()`
    `boolean` | `supportsSchemasInIndexDefinitions()` | `See supportsSchemasInIndexDefinitions()`
    `boolean` | `supportsSchemasInPrivilegeDefinitions()` | `See supportsSchemasInPrivilegeDefinitions()`
    `boolean` | `supportsSchemasInProcedureCalls()` | `See supportsSchemasInProcedureCalls()`
    `boolean` | `supportsSchemasInTableDefinitions()` | `See supportsSchemasInTableDefinitions()`
    `boolean` | `supportsSelectForUpdate()` | `See supportsSelectForUpdate()`
    `boolean` | `supportsStatementPooling()` | `See supportsStatementPooling()`
    `boolean` | `supportsStoredFunctionsUsingCallSyntax()` | Not implemented `See supportsStoredFunctionsUsingCallSyntax`
    `boolean` | `supportsStoredProcedures()` | `See supportsStoredProcedures()`
    `boolean` | `supportsSubqueriesInComparisons()` | `See supportsSubqueriesInComparisons()`
    `boolean` | `supportsSubqueriesInExists()` | `See supportsSubqueriesInExists()`
    `boolean` | `supportsSubqueriesInIns()` | `See supportsSubqueriesInIns()`
    `boolean` | `supportsSubqueriesInQuantifieds()` | `See supportsSubqueriesInQuantifieds()`
    `boolean` | `supportsTableCorrelationNames()` | `See supportsTableCorrelationNames()`
    `boolean` | `supportsTransactionIsolationLevel​(int level)` | `See supportsTransactionIsolationLevel(int)`
    `boolean` | `supportsTransactions()` | `See supportsTransactions()`
    `boolean` | `supportsUnion()` | `See supportsUnion()`
    `boolean` | `supportsUnionAll()` | `See supportsUnionAll()`
    `boolean` | `updatesAreDetected​(int type)` | `See updatesAreDetected(int)`
    `boolean` | `usesLocalFilePerTable()` | `See usesLocalFilePerTable()`
    `boolean` | `usesLocalFiles()` | `See usesLocalFiles()`

    - ### Methods inherited from class com.zoho.analytics.jdbc.ZohoAnalyticsWrapper

      `isWrapperFor, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.DatabaseMetaData

      `getMaxLogicalLobSize, supportsRefCursors, supportsSharding`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Method Detail

    - #### allProceduresAreCallable

          public boolean allProceduresAreCallable()
                                           throws java.sql.SQLException

      `See allProceduresAreCallable()`
      Specified by:
        `allProceduresAreCallable` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### allTablesAreSelectable

          public boolean allTablesAreSelectable()
                                         throws java.sql.SQLException

      `See allTablesAreSelectable()`
      Specified by:
        `allTablesAreSelectable` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### dataDefinitionCausesTransactionCommit

          public boolean dataDefinitionCausesTransactionCommit()
                                                        throws java.sql.SQLException

      `See dataDefinitionCausesTransactionCommit()`
      Specified by:
        `dataDefinitionCausesTransactionCommit` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### dataDefinitionIgnoredInTransactions

          public boolean dataDefinitionIgnoredInTransactions()
                                                      throws java.sql.SQLException

      `See dataDefinitionIgnoredInTransactions()`
      Specified by:
        `dataDefinitionIgnoredInTransactions` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### deletesAreDetected

          public boolean deletesAreDetected​(int type)
                                     throws java.sql.SQLException

      `See deletesAreDetected(int)`
      Specified by:
        `deletesAreDetected` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### doesMaxRowSizeIncludeBlobs

          public boolean doesMaxRowSizeIncludeBlobs()
                                             throws java.sql.SQLException

      `See doesMaxRowSizeIncludeBlobs()`
      Specified by:
        `doesMaxRowSizeIncludeBlobs` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getAttributes

          public java.sql.ResultSet getAttributes​(java.lang.String catalog,
                                                  java.lang.String schemaPattern,
                                                  java.lang.String typeNamePattern,
                                                  java.lang.String attributeNamePattern)
                                           throws java.sql.SQLException

      `See getAttributes(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`
      Specified by:
        `getAttributes` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getBestRowIdentifier

          public java.sql.ResultSet getBestRowIdentifier​(java.lang.String catalog,
                                                         java.lang.String schema,
                                                         java.lang.String table,
                                                         int scope,
                                                         boolean nullable)
                                                  throws java.sql.SQLException

      `See getBestRowIdentifier(java.lang.String, java.lang.String, java.lang.String, int, boolean)`
      Specified by:
        `getBestRowIdentifier` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getCatalogs

          public java.sql.ResultSet getCatalogs()
                                         throws java.sql.SQLException

      `See getCatalogs()`
      Specified by:
        `getCatalogs` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getCatalogSeparator

          public java.lang.String getCatalogSeparator()
                                               throws java.sql.SQLException

      `See getCatalogSeparator()`
      Specified by:
        `getCatalogSeparator` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getCatalogTerm

          public java.lang.String getCatalogTerm()
                                          throws java.sql.SQLException

      `See getCatalogTerm()`
      Specified by:
        `getCatalogTerm` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getColumnPrivileges

          public java.sql.ResultSet getColumnPrivileges​(java.lang.String catalog,
                                                        java.lang.String schema,
                                                        java.lang.String table,
                                                        java.lang.String columnNamePattern)
                                                 throws java.sql.SQLException

      `See getColumnPrivileges(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`
      Specified by:
        `getColumnPrivileges` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getColumns

          public java.sql.ResultSet getColumns​(java.lang.String catalog,
                                               java.lang.String schemaPattern,
                                               java.lang.String tableNamePattern,
                                               java.lang.String columnNamePattern)
                                        throws java.sql.SQLException

      `See getColumns(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`
      Specified by:
        `getColumns` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getConnection

          public java.sql.Connection getConnection()
                                            throws java.sql.SQLException

      `See getConnection()`
      Specified by:
        `getConnection` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getCrossReference

          public java.sql.ResultSet getCrossReference​(java.lang.String primaryCatalogName,
                                                      java.lang.String primarySchemaName,
                                                      java.lang.String primaryTableName,
                                                      java.lang.String foreignCatalogName,
                                                      java.lang.String foreignSchemaName,
                                                      java.lang.String foreignTableName)
                                               throws java.sql.SQLException

      `See getCrossReference(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`
      Specified by:
        `getCrossReference` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getDatabaseMajorVersion

          public int getDatabaseMajorVersion()
                                      throws java.sql.SQLException

      `See getDatabaseMajorVersion()`
      Specified by:
        `getDatabaseMajorVersion` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getDatabaseMinorVersion

          public int getDatabaseMinorVersion()
                                      throws java.sql.SQLException

      `See getDatabaseMinorVersion()`
      Specified by:
        `getDatabaseMinorVersion` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getDatabaseProductName

          public java.lang.String getDatabaseProductName()
                                                  throws java.sql.SQLException

      `See getDatabaseProductName()`
      Specified by:
        `getDatabaseProductName` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getDatabaseProductVersion

          public java.lang.String getDatabaseProductVersion()
                                                     throws java.sql.SQLException

      `See getDatabaseProductVersion()`
      Specified by:
        `getDatabaseProductVersion` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getDefaultTransactionIsolation

          public int getDefaultTransactionIsolation()
                                             throws java.sql.SQLException

      `See getDefaultTransactionIsolation()`
      Specified by:
        `getDefaultTransactionIsolation` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getDriverMajorVersion

          public int getDriverMajorVersion()

      `See getDriverMajorVersion()`
      Specified by:
        `getDriverMajorVersion` in interface `java.sql.DatabaseMetaData`

    - #### getDriverMinorVersion

          public int getDriverMinorVersion()

      `See getDriverMinorVersion()`
      Specified by:
        `getDriverMinorVersion` in interface `java.sql.DatabaseMetaData`

    - #### getDriverName

          public java.lang.String getDriverName()
                                         throws java.sql.SQLException

      `See getDriverName()`
      Specified by:
        `getDriverName` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getDriverVersion

          public java.lang.String getDriverVersion()
                                            throws java.sql.SQLException

      `See getDriverVersion()`
      Specified by:
        `getDriverVersion` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getExportedKeys

          public java.sql.ResultSet getExportedKeys​(java.lang.String catalog,
                                                    java.lang.String schema,
                                                    java.lang.String tableName)
                                             throws java.sql.SQLException

      `See getExportedKeys(java.lang.String, java.lang.String, java.lang.String)`
      Specified by:
        `getExportedKeys` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getExtraNameCharacters

          public java.lang.String getExtraNameCharacters()
                                                  throws java.sql.SQLException

      `See getExtraNameCharacters()`
      Specified by:
        `getExtraNameCharacters` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getIdentifierQuoteString

          public java.lang.String getIdentifierQuoteString()
                                                    throws java.sql.SQLException

      `See getIdentifierQuotejava.lang.String()`
      Specified by:
        `getIdentifierQuoteString` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getImportedKeys

          public java.sql.ResultSet getImportedKeys​(java.lang.String catalog,
                                                    java.lang.String schema,
                                                    java.lang.String table)
                                             throws java.sql.SQLException

      `See getImportedKeys(java.lang.String, java.lang.String, java.lang.String)`
      Specified by:
        `getImportedKeys` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getIndexInfo

          public java.sql.ResultSet getIndexInfo​(java.lang.String catalog,
                                                 java.lang.String schema,
                                                 java.lang.String table,
                                                 boolean unique,
                                                 boolean approximate)
                                          throws java.sql.SQLException

      getImported `See getIndexInfo(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`
      Specified by:
        `getIndexInfo` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getJDBCMajorVersion

          public int getJDBCMajorVersion()
                                  throws java.sql.SQLException

      `See getJDBCMajorVersion()`
      Specified by:
        `getJDBCMajorVersion` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getJDBCMinorVersion

          public int getJDBCMinorVersion()
                                  throws java.sql.SQLException

      `See getJDBCMinorVersion()`
      Specified by:
        `getJDBCMinorVersion` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxBinaryLiteralLength

          public int getMaxBinaryLiteralLength()
                                        throws java.sql.SQLException

      `See getMaxBinaryLiteralLength()`
      Specified by:
        `getMaxBinaryLiteralLength` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxCatalogNameLength

          public int getMaxCatalogNameLength()
                                      throws java.sql.SQLException

      `See getMaxCatalogNameLength()`
      Specified by:
        `getMaxCatalogNameLength` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxCharLiteralLength

          public int getMaxCharLiteralLength()
                                      throws java.sql.SQLException

      `See getMaxCharLiteralLength()`
      Specified by:
        `getMaxCharLiteralLength` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxColumnNameLength

          public int getMaxColumnNameLength()
                                     throws java.sql.SQLException

      `See getMaxColumnNameLength()`
      Specified by:
        `getMaxColumnNameLength` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxColumnsInGroupBy

          public int getMaxColumnsInGroupBy()
                                     throws java.sql.SQLException

      `See getMaxColumnsInGroupBy()`
      Specified by:
        `getMaxColumnsInGroupBy` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxColumnsInIndex

          public int getMaxColumnsInIndex()
                                   throws java.sql.SQLException

      `See getMaxColumnsInIndex()`
      Specified by:
        `getMaxColumnsInIndex` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxColumnsInOrderBy

          public int getMaxColumnsInOrderBy()
                                     throws java.sql.SQLException

      `See getMaxColumnsInOrderBy()`
      Specified by:
        `getMaxColumnsInOrderBy` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxColumnsInSelect

          public int getMaxColumnsInSelect()
                                    throws java.sql.SQLException

      `See getMaxColumnsInSelect()`
      Specified by:
        `getMaxColumnsInSelect` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxColumnsInTable

          public int getMaxColumnsInTable()
                                   throws java.sql.SQLException

      `See getMaxColumnsInTable()`
      Specified by:
        `getMaxColumnsInTable` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxConnections

          public int getMaxConnections()
                                throws java.sql.SQLException

      `See getMaxConnections()`
      Specified by:
        `getMaxConnections` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxCursorNameLength

          public int getMaxCursorNameLength()
                                     throws java.sql.SQLException

      `See getMaxCursorNameLength()`
      Specified by:
        `getMaxCursorNameLength` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxIndexLength

          public int getMaxIndexLength()
                                throws java.sql.SQLException

      `See getMaxIndexLength()`
      Specified by:
        `getMaxIndexLength` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxProcedureNameLength

          public int getMaxProcedureNameLength()
                                        throws java.sql.SQLException

      `See getMaxProcedureNameLength()`
      Specified by:
        `getMaxProcedureNameLength` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxRowSize

          public int getMaxRowSize()
                            throws java.sql.SQLException

      `See getMaxRowSize()`
      Specified by:
        `getMaxRowSize` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxSchemaNameLength

          public int getMaxSchemaNameLength()
                                     throws java.sql.SQLException

      `See getMaxSchemaNameLength()`
      Specified by:
        `getMaxSchemaNameLength` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxStatementLength

          public int getMaxStatementLength()
                                    throws java.sql.SQLException

      `See getMaxStatementLength()`
      Specified by:
        `getMaxStatementLength` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxStatements

          public int getMaxStatements()
                               throws java.sql.SQLException

      `See getMaxStatements()`
      Specified by:
        `getMaxStatements` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxTableNameLength

          public int getMaxTableNameLength()
                                    throws java.sql.SQLException

      `See getMaxTableNameLength()`
      Specified by:
        `getMaxTableNameLength` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxTablesInSelect

          public int getMaxTablesInSelect()
                                   throws java.sql.SQLException

      `See getMaxTablesInSelect()`
      Specified by:
        `getMaxTablesInSelect` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getMaxUserNameLength

          public int getMaxUserNameLength()
                                   throws java.sql.SQLException

      `See getMaxUserNameLength()`
      Specified by:
        `getMaxUserNameLength` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getNumericFunctions

          public java.lang.String getNumericFunctions()
                                               throws java.sql.SQLException

      `See getNumericFunctions()`
      Specified by:
        `getNumericFunctions` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getPrimaryKeys

          public java.sql.ResultSet getPrimaryKeys​(java.lang.String catalog,
                                                   java.lang.String schema,
                                                   java.lang.String table)
                                            throws java.sql.SQLException

      `See getPrimaryKeys(java.lang.String, java.lang.String, java.lang.String)`
      Specified by:
        `getPrimaryKeys` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getProcedureColumns

          public java.sql.ResultSet getProcedureColumns​(java.lang.String catalog,
                                                        java.lang.String schemaPattern,
                                                        java.lang.String procedureNamePattern,
                                                        java.lang.String columnNamePattern)
                                                 throws java.sql.SQLException

      `See getProcedureColumns(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`
      Specified by:
        `getProcedureColumns` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getProcedures

          public java.sql.ResultSet getProcedures​(java.lang.String catalog,
                                                  java.lang.String schemaPattern,
                                                  java.lang.String procedureNamePattern)
                                           throws java.sql.SQLException

      `See getProcedures(java.lang.String, java.lang.String, java.lang.String)`
      Specified by:
        `getProcedures` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getProcedureTerm

          public java.lang.String getProcedureTerm()
                                            throws java.sql.SQLException

      `See getProcedureTerm()`
      Specified by:
        `getProcedureTerm` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getResultSetHoldability

          public int getResultSetHoldability()
                                      throws java.sql.SQLException

      `See getResultSetHoldability()`
      Specified by:
        `getResultSetHoldability` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getSchemas

          public java.sql.ResultSet getSchemas()
                                        throws java.sql.SQLException

      Not implemented `See getSchemas()`
      Specified by:
        `getSchemas` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getSchemas

          public java.sql.ResultSet getSchemas​(java.lang.String catalog,
                                               java.lang.String schemaPattern)
                                        throws java.sql.SQLException

      Not implemented `See getSchemas(java.lang.String, java.lang.String)`
      Specified by:
        `getSchemas` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getSchemaTerm

          public java.lang.String getSchemaTerm()
                                         throws java.sql.SQLException

      `See getSchemaTerm()`
      Specified by:
        `getSchemaTerm` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getSearchStringEscape

          public java.lang.String getSearchStringEscape()
                                                 throws java.sql.SQLException

      `See getSearchjava.lang.StringEscape()`
      Specified by:
        `getSearchStringEscape` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getSQLKeywords

          public java.lang.String getSQLKeywords()
                                          throws java.sql.SQLException

      `See getSQLKeywords()`
      Specified by:
        `getSQLKeywords` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getSQLStateType

          public int getSQLStateType()
                              throws java.sql.SQLException

      `See getSQLStateType()`
      Specified by:
        `getSQLStateType` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getStringFunctions

          public java.lang.String getStringFunctions()
                                              throws java.sql.SQLException

      `See getjava.lang.StringFunctions()`
      Specified by:
        `getStringFunctions` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getSuperTables

          public java.sql.ResultSet getSuperTables​(java.lang.String catalog,
                                                   java.lang.String schemaPattern,
                                                   java.lang.String tableNamePattern)
                                            throws java.sql.SQLException

      `See getSuperTables(java.lang.String, java.lang.String, java.lang.String)`
      Specified by:
        `getSuperTables` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getSuperTypes

          public java.sql.ResultSet getSuperTypes​(java.lang.String catalog,
                                                  java.lang.String schemaPattern,
                                                  java.lang.String typeNamePattern)
                                           throws java.sql.SQLException

      `See getSuperTypes(java.lang.String, java.lang.String, java.lang.String)`
      Specified by:
        `getSuperTypes` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getSystemFunctions

          public java.lang.String getSystemFunctions()
                                              throws java.sql.SQLException

      `See getSystemFunctions()`
      Specified by:
        `getSystemFunctions` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getTablePrivileges

          public java.sql.ResultSet getTablePrivileges​(java.lang.String catalog,
                                                       java.lang.String schemaPattern,
                                                       java.lang.String tableNamePattern)
                                                throws java.sql.SQLException

      `See getTablePrivileges(java.lang.String, java.lang.String, java.lang.String)`
      Specified by:
        `getTablePrivileges` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getTables

          public java.sql.ResultSet getTables​(java.lang.String catalogName,
                                              java.lang.String schemaPattern,
                                              java.lang.String tableNamePattern,
                                              java.lang.String[] types)
                                       throws java.sql.SQLException

      `See getTables(java.lang.String, java.lang.String, java.lang.String, java.lang.String[])`
      Specified by:
        `getTables` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getTableTypes

          public java.sql.ResultSet getTableTypes()
                                           throws java.sql.SQLException

      `See getTableTypes()`
      Specified by:
        `getTableTypes` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getTimeDateFunctions

          public java.lang.String getTimeDateFunctions()
                                                throws java.sql.SQLException

      `See getTimeDateFunctions()`
      Specified by:
        `getTimeDateFunctions` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getTypeInfo

          public java.sql.ResultSet getTypeInfo()
                                         throws java.sql.SQLException

      `See getTypeInfo()`
      Specified by:
        `getTypeInfo` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getUDTs

          public java.sql.ResultSet getUDTs​(java.lang.String catalog,
                                            java.lang.String schemaPattern,
                                            java.lang.String typeNamePattern,
                                            int[] types)
                                     throws java.sql.SQLException

      `See getUDTs(java.lang.String, java.lang.String, java.lang.String, int[])`
      Specified by:
        `getUDTs` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getURL

          public java.lang.String getURL()
                                  throws java.sql.SQLException

      `See getURL()`
      Specified by:
        `getURL` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getUserName

          public java.lang.String getUserName()
                                       throws java.sql.SQLException

      `See getUserName()`
      Specified by:
        `getUserName` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getVersionColumns

          public java.sql.ResultSet getVersionColumns​(java.lang.String catalog,
                                                      java.lang.String schema,
                                                      java.lang.String table)
                                               throws java.sql.SQLException

      `See getVersionColumns(java.lang.String, java.lang.String, java.lang.String)`
      Specified by:
        `getVersionColumns` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### insertsAreDetected

          public boolean insertsAreDetected​(int type)
                                     throws java.sql.SQLException

      `See insertsAreDetected(int)`
      Specified by:
        `insertsAreDetected` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### isCatalogAtStart

          public boolean isCatalogAtStart()
                                   throws java.sql.SQLException

      `See isCatalogAtStart()`
      Specified by:
        `isCatalogAtStart` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### isReadOnly

          public boolean isReadOnly()
                             throws java.sql.SQLException

      `See isReadOnly()`
      Specified by:
        `isReadOnly` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### locatorsUpdateCopy

          public boolean locatorsUpdateCopy()
                                     throws java.sql.SQLException

      `See locatorsUpdateCopy()`
      Specified by:
        `locatorsUpdateCopy` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### nullPlusNonNullIsNull

          public boolean nullPlusNonNullIsNull()
                                        throws java.sql.SQLException

      `See nullPlusNonNullIsNull()`
      Specified by:
        `nullPlusNonNullIsNull` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### nullsAreSortedAtEnd

          public boolean nullsAreSortedAtEnd()
                                      throws java.sql.SQLException

      `See nullsAreSortedAtEnd()`
      Specified by:
        `nullsAreSortedAtEnd` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### nullsAreSortedAtStart

          public boolean nullsAreSortedAtStart()
                                        throws java.sql.SQLException

      `See nullsAreSortedAtStart()`
      Specified by:
        `nullsAreSortedAtStart` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### nullsAreSortedHigh

          public boolean nullsAreSortedHigh()
                                     throws java.sql.SQLException

      `See nullsAreSortedHigh()`
      Specified by:
        `nullsAreSortedHigh` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### nullsAreSortedLow

          public boolean nullsAreSortedLow()
                                    throws java.sql.SQLException

      `See nullsAreSortedLow()`
      Specified by:
        `nullsAreSortedLow` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### othersDeletesAreVisible

          public boolean othersDeletesAreVisible​(int type)
                                          throws java.sql.SQLException

      `See othersDeletesAreVisible(int)`
      Specified by:
        `othersDeletesAreVisible` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### othersInsertsAreVisible

          public boolean othersInsertsAreVisible​(int type)
                                          throws java.sql.SQLException

      `See othersInsertsAreVisible(int)`
      Specified by:
        `othersInsertsAreVisible` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### othersUpdatesAreVisible

          public boolean othersUpdatesAreVisible​(int type)
                                          throws java.sql.SQLException

      `See othersUpdatesAreVisible(int)`
      Specified by:
        `othersUpdatesAreVisible` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### ownDeletesAreVisible

          public boolean ownDeletesAreVisible​(int type)
                                       throws java.sql.SQLException

      `See ownDeletesAreVisible(int)`
      Specified by:
        `ownDeletesAreVisible` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### ownInsertsAreVisible

          public boolean ownInsertsAreVisible​(int type)
                                       throws java.sql.SQLException

      `See ownInsertsAreVisible(int)`
      Specified by:
        `ownInsertsAreVisible` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### ownUpdatesAreVisible

          public boolean ownUpdatesAreVisible​(int type)
                                       throws java.sql.SQLException

      `See ownUpdatesAreVisible(int)`
      Specified by:
        `ownUpdatesAreVisible` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### storesLowerCaseIdentifiers

          public boolean storesLowerCaseIdentifiers()
                                             throws java.sql.SQLException

      `See storesLowerCaseIdentifiers()`
      Specified by:
        `storesLowerCaseIdentifiers` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### storesLowerCaseQuotedIdentifiers

          public boolean storesLowerCaseQuotedIdentifiers()
                                                   throws java.sql.SQLException

      `See storesLowerCaseQuotedIdentifiers()`
      Specified by:
        `storesLowerCaseQuotedIdentifiers` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### storesMixedCaseIdentifiers

          public boolean storesMixedCaseIdentifiers()
                                             throws java.sql.SQLException

      `See storesMixedCaseIdentifiers()`
      Specified by:
        `storesMixedCaseIdentifiers` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### storesMixedCaseQuotedIdentifiers

          public boolean storesMixedCaseQuotedIdentifiers()
                                                   throws java.sql.SQLException

      `See storesMixedCaseQuotedIdentifiers()`
      Specified by:
        `storesMixedCaseQuotedIdentifiers` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### storesUpperCaseIdentifiers

          public boolean storesUpperCaseIdentifiers()
                                             throws java.sql.SQLException

      `See storesUpperCaseIdentifiers()`
      Specified by:
        `storesUpperCaseIdentifiers` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### storesUpperCaseQuotedIdentifiers

          public boolean storesUpperCaseQuotedIdentifiers()
                                                   throws java.sql.SQLException

      `See storesUpperCaseQuotedIdentifiers()`
      Specified by:
        `storesUpperCaseQuotedIdentifiers` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsAlterTableWithAddColumn

          public boolean supportsAlterTableWithAddColumn()
                                                  throws java.sql.SQLException

      `See supportsAlterTableWithAddColumn()`
      Specified by:
        `supportsAlterTableWithAddColumn` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsAlterTableWithDropColumn

          public boolean supportsAlterTableWithDropColumn()
                                                   throws java.sql.SQLException

      `See supportsAlterTableWithDropColumn()`
      Specified by:
        `supportsAlterTableWithDropColumn` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsANSI92EntryLevelSQL

          public boolean supportsANSI92EntryLevelSQL()
                                              throws java.sql.SQLException

      `See supportsANSI92EntryLevelSQL()`
      Specified by:
        `supportsANSI92EntryLevelSQL` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsANSI92FullSQL

          public boolean supportsANSI92FullSQL()
                                        throws java.sql.SQLException

      `See supportsANSI92FullSQL()`
      Specified by:
        `supportsANSI92FullSQL` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsANSI92IntermediateSQL

          public boolean supportsANSI92IntermediateSQL()
                                                throws java.sql.SQLException

      `See supportsANSI92IntermediateSQL()`
      Specified by:
        `supportsANSI92IntermediateSQL` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsBatchUpdates

          public boolean supportsBatchUpdates()
                                       throws java.sql.SQLException

      `See supportsBatchUpdates()`
      Specified by:
        `supportsBatchUpdates` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsCatalogsInDataManipulation

          public boolean supportsCatalogsInDataManipulation()
                                                     throws java.sql.SQLException

      `See supportsCatalogsInDataManipulation()`
      Specified by:
        `supportsCatalogsInDataManipulation` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsCatalogsInIndexDefinitions

          public boolean supportsCatalogsInIndexDefinitions()
                                                     throws java.sql.SQLException

      `See supportsCatalogsInIndexDefinitions()`
      Specified by:
        `supportsCatalogsInIndexDefinitions` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsCatalogsInPrivilegeDefinitions

          public boolean supportsCatalogsInPrivilegeDefinitions()
                                                         throws java.sql.SQLException

      `See supportsCatalogsInPrivilegeDefinitions()`
      Specified by:
        `supportsCatalogsInPrivilegeDefinitions` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsCatalogsInProcedureCalls

          public boolean supportsCatalogsInProcedureCalls()
                                                   throws java.sql.SQLException

      `See supportsCatalogsInProcedureCalls()`
      Specified by:
        `supportsCatalogsInProcedureCalls` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsCatalogsInTableDefinitions

          public boolean supportsCatalogsInTableDefinitions()
                                                     throws java.sql.SQLException

      `See supportsCatalogsInTableDefinitions()`
      Specified by:
        `supportsCatalogsInTableDefinitions` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsColumnAliasing

          public boolean supportsColumnAliasing()
                                         throws java.sql.SQLException

      `See supportsColumnAliasing()`
      Specified by:
        `supportsColumnAliasing` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsConvert

          public boolean supportsConvert()
                                  throws java.sql.SQLException

      `See supportsConvert()`
      Specified by:
        `supportsConvert` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsConvert

          public boolean supportsConvert​(int fromType,
                                         int toType)
                                  throws java.sql.SQLException

      `See supportsConvert(int, int)`
      Specified by:
        `supportsConvert` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsCoreSQLGrammar

          public boolean supportsCoreSQLGrammar()
                                         throws java.sql.SQLException

      `See supportsCoreSQLGrammar()`
      Specified by:
        `supportsCoreSQLGrammar` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsCorrelatedSubqueries

          public boolean supportsCorrelatedSubqueries()
                                               throws java.sql.SQLException

      `See supportsCorrelatedSubqueries()`
      Specified by:
        `supportsCorrelatedSubqueries` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsDataDefinitionAndDataManipulationTransactions

          public boolean supportsDataDefinitionAndDataManipulationTransactions()
                                                                        throws java.sql.SQLException

      `See supportsDataDefinitionAndDataManipulationTransactions()`
      Specified by:
        `supportsDataDefinitionAndDataManipulationTransactions` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsDataManipulationTransactionsOnly

          public boolean supportsDataManipulationTransactionsOnly()
                                                           throws java.sql.SQLException

      `See supportsDataManipulationTransactionsOnly()`
      Specified by:
        `supportsDataManipulationTransactionsOnly` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsDifferentTableCorrelationNames

          public boolean supportsDifferentTableCorrelationNames()
                                                         throws java.sql.SQLException

      `See supportsDifferentTableCorrelationNames()`
      Specified by:
        `supportsDifferentTableCorrelationNames` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsExpressionsInOrderBy

          public boolean supportsExpressionsInOrderBy()
                                               throws java.sql.SQLException

      `See supportsExpressionsInOrderBy()`
      Specified by:
        `supportsExpressionsInOrderBy` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsExtendedSQLGrammar

          public boolean supportsExtendedSQLGrammar()
                                             throws java.sql.SQLException

      `See supportsExtendedSQLGrammar()`
      Specified by:
        `supportsExtendedSQLGrammar` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsFullOuterJoins

          public boolean supportsFullOuterJoins()
                                         throws java.sql.SQLException

      `See supportsFullOuterJoins()`
      Specified by:
        `supportsFullOuterJoins` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsGetGeneratedKeys

          public boolean supportsGetGeneratedKeys()
                                           throws java.sql.SQLException

      `See supportsGetGeneratedKeys()`
      Specified by:
        `supportsGetGeneratedKeys` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsGroupBy

          public boolean supportsGroupBy()
                                  throws java.sql.SQLException

      `See supportsGroupBy()`
      Specified by:
        `supportsGroupBy` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsGroupByBeyondSelect

          public boolean supportsGroupByBeyondSelect()
                                              throws java.sql.SQLException

      `See supportsGroupByBeyondSelect()`
      Specified by:
        `supportsGroupByBeyondSelect` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsGroupByUnrelated

          public boolean supportsGroupByUnrelated()
                                           throws java.sql.SQLException

      `See supportsGroupByUnrelated()`
      Specified by:
        `supportsGroupByUnrelated` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsIntegrityEnhancementFacility

          public boolean supportsIntegrityEnhancementFacility()
                                                       throws java.sql.SQLException

      `See supportsIntegrityEnhancementFacility()`
      Specified by:
        `supportsIntegrityEnhancementFacility` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsLikeEscapeClause

          public boolean supportsLikeEscapeClause()
                                           throws java.sql.SQLException

      `See supportsLikeEscapeClause()`
      Specified by:
        `supportsLikeEscapeClause` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsLimitedOuterJoins

          public boolean supportsLimitedOuterJoins()
                                            throws java.sql.SQLException

      `See supportsLimitedOuterJoins()`
      Specified by:
        `supportsLimitedOuterJoins` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsMinimumSQLGrammar

          public boolean supportsMinimumSQLGrammar()
                                            throws java.sql.SQLException

      `See supportsMinimumSQLGrammar()`
      Specified by:
        `supportsMinimumSQLGrammar` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsMixedCaseIdentifiers

          public boolean supportsMixedCaseIdentifiers()
                                               throws java.sql.SQLException

      `See supportsMixedCaseIdentifiers()`
      Specified by:
        `supportsMixedCaseIdentifiers` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsMixedCaseQuotedIdentifiers

          public boolean supportsMixedCaseQuotedIdentifiers()
                                                     throws java.sql.SQLException

      `See supportsMixedCaseQuotedIdentifiers()`
      Specified by:
        `supportsMixedCaseQuotedIdentifiers` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsMultipleOpenResults

          public boolean supportsMultipleOpenResults()
                                              throws java.sql.SQLException

      `See supportsMultipleOpenResults()`
      Specified by:
        `supportsMultipleOpenResults` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsMultipleResultSets

          public boolean supportsMultipleResultSets()
                                             throws java.sql.SQLException

      `See supportsMultipleResultSets()`
      Specified by:
        `supportsMultipleResultSets` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsMultipleTransactions

          public boolean supportsMultipleTransactions()
                                               throws java.sql.SQLException

      `See supportsMultipleTransactions()`
      Specified by:
        `supportsMultipleTransactions` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsNamedParameters

          public boolean supportsNamedParameters()
                                          throws java.sql.SQLException

      `See supportsNamedParameters()`
      Specified by:
        `supportsNamedParameters` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsNonNullableColumns

          public boolean supportsNonNullableColumns()
                                             throws java.sql.SQLException

      `See supportsNonNullableColumns()`
      Specified by:
        `supportsNonNullableColumns` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsOpenCursorsAcrossCommit

          public boolean supportsOpenCursorsAcrossCommit()
                                                  throws java.sql.SQLException

      `See supportsOpenCursorsAcrossCommit()`
      Specified by:
        `supportsOpenCursorsAcrossCommit` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsOpenCursorsAcrossRollback

          public boolean supportsOpenCursorsAcrossRollback()
                                                    throws java.sql.SQLException

      `See supportsOpenCursorsAcrossRollback()`
      Specified by:
        `supportsOpenCursorsAcrossRollback` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsOpenStatementsAcrossCommit

          public boolean supportsOpenStatementsAcrossCommit()
                                                     throws java.sql.SQLException

      `See supportsOpenStatementsAcrossCommit()`
      Specified by:
        `supportsOpenStatementsAcrossCommit` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsOpenStatementsAcrossRollback

          public boolean supportsOpenStatementsAcrossRollback()
                                                       throws java.sql.SQLException

      `See supportsOpenStatementsAcrossRollback()`
      Specified by:
        `supportsOpenStatementsAcrossRollback` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsOrderByUnrelated

          public boolean supportsOrderByUnrelated()
                                           throws java.sql.SQLException

      `See supportsOrderByUnrelated()`
      Specified by:
        `supportsOrderByUnrelated` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsOuterJoins

          public boolean supportsOuterJoins()
                                     throws java.sql.SQLException

      `See supportsOuterJoins()`
      Specified by:
        `supportsOuterJoins` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsPositionedDelete

          public boolean supportsPositionedDelete()
                                           throws java.sql.SQLException

      `See supportsPositionedDelete()`
      Specified by:
        `supportsPositionedDelete` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsPositionedUpdate

          public boolean supportsPositionedUpdate()
                                           throws java.sql.SQLException

      `See supportsPositionedUpdate()`
      Specified by:
        `supportsPositionedUpdate` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsResultSetConcurrency

          public boolean supportsResultSetConcurrency​(int type,
                                                      int concurrency)
                                               throws java.sql.SQLException

      `See supportsResultSetConcurrency(int, int)`
      Specified by:
        `supportsResultSetConcurrency` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsResultSetHoldability

          public boolean supportsResultSetHoldability​(int holdability)
                                               throws java.sql.SQLException

      `See supportsResultSetHoldability(int)`
      Specified by:
        `supportsResultSetHoldability` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsResultSetType

          public boolean supportsResultSetType​(int type)
                                        throws java.sql.SQLException

      `See supportsResultSetType(int)`
      Specified by:
        `supportsResultSetType` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsSavepoints

          public boolean supportsSavepoints()
                                     throws java.sql.SQLException

      `See supportsSavepoints()`
      Specified by:
        `supportsSavepoints` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsSchemasInDataManipulation

          public boolean supportsSchemasInDataManipulation()
                                                    throws java.sql.SQLException

      `See supportsSchemasInDataManipulation()`
      Specified by:
        `supportsSchemasInDataManipulation` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsSchemasInIndexDefinitions

          public boolean supportsSchemasInIndexDefinitions()
                                                    throws java.sql.SQLException

      `See supportsSchemasInIndexDefinitions()`
      Specified by:
        `supportsSchemasInIndexDefinitions` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsSchemasInPrivilegeDefinitions

          public boolean supportsSchemasInPrivilegeDefinitions()
                                                        throws java.sql.SQLException

      `See supportsSchemasInPrivilegeDefinitions()`
      Specified by:
        `supportsSchemasInPrivilegeDefinitions` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsSchemasInProcedureCalls

          public boolean supportsSchemasInProcedureCalls()
                                                  throws java.sql.SQLException

      `See supportsSchemasInProcedureCalls()`
      Specified by:
        `supportsSchemasInProcedureCalls` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsSchemasInTableDefinitions

          public boolean supportsSchemasInTableDefinitions()
                                                    throws java.sql.SQLException

      `See supportsSchemasInTableDefinitions()`
      Specified by:
        `supportsSchemasInTableDefinitions` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsSelectForUpdate

          public boolean supportsSelectForUpdate()
                                          throws java.sql.SQLException

      `See supportsSelectForUpdate()`
      Specified by:
        `supportsSelectForUpdate` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsStatementPooling

          public boolean supportsStatementPooling()
                                           throws java.sql.SQLException

      `See supportsStatementPooling()`
      Specified by:
        `supportsStatementPooling` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsStoredProcedures

          public boolean supportsStoredProcedures()
                                           throws java.sql.SQLException

      `See supportsStoredProcedures()`
      Specified by:
        `supportsStoredProcedures` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsSubqueriesInComparisons

          public boolean supportsSubqueriesInComparisons()
                                                  throws java.sql.SQLException

      `See supportsSubqueriesInComparisons()`
      Specified by:
        `supportsSubqueriesInComparisons` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsSubqueriesInExists

          public boolean supportsSubqueriesInExists()
                                             throws java.sql.SQLException

      `See supportsSubqueriesInExists()`
      Specified by:
        `supportsSubqueriesInExists` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsSubqueriesInIns

          public boolean supportsSubqueriesInIns()
                                          throws java.sql.SQLException

      `See supportsSubqueriesInIns()`
      Specified by:
        `supportsSubqueriesInIns` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsSubqueriesInQuantifieds

          public boolean supportsSubqueriesInQuantifieds()
                                                  throws java.sql.SQLException

      `See supportsSubqueriesInQuantifieds()`
      Specified by:
        `supportsSubqueriesInQuantifieds` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsTableCorrelationNames

          public boolean supportsTableCorrelationNames()
                                                throws java.sql.SQLException

      `See supportsTableCorrelationNames()`
      Specified by:
        `supportsTableCorrelationNames` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsTransactionIsolationLevel

          public boolean supportsTransactionIsolationLevel​(int level)
                                                    throws java.sql.SQLException

      `See supportsTransactionIsolationLevel(int)`
      Specified by:
        `supportsTransactionIsolationLevel` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsTransactions

          public boolean supportsTransactions()
                                       throws java.sql.SQLException

      `See supportsTransactions()`
      Specified by:
        `supportsTransactions` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsUnion

          public boolean supportsUnion()
                                throws java.sql.SQLException

      `See supportsUnion()`
      Specified by:
        `supportsUnion` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsUnionAll

          public boolean supportsUnionAll()
                                   throws java.sql.SQLException

      `See supportsUnionAll()`
      Specified by:
        `supportsUnionAll` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### updatesAreDetected

          public boolean updatesAreDetected​(int type)
                                     throws java.sql.SQLException

      `See updatesAreDetected(int)`
      Specified by:
        `updatesAreDetected` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### usesLocalFilePerTable

          public boolean usesLocalFilePerTable()
                                        throws java.sql.SQLException

      `See usesLocalFilePerTable()`
      Specified by:
        `usesLocalFilePerTable` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### usesLocalFiles

          public boolean usesLocalFiles()
                                 throws java.sql.SQLException

      `See usesLocalFiles()`
      Specified by:
        `usesLocalFiles` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getRowIdLifetime

          public java.sql.RowIdLifetime getRowIdLifetime()
                                                  throws java.sql.SQLException

      Not implemented `See getRowIdLifetime`
      Specified by:
        `getRowIdLifetime` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### supportsStoredFunctionsUsingCallSyntax

          public boolean supportsStoredFunctionsUsingCallSyntax()
                                                         throws java.sql.SQLException

      Not implemented `See supportsStoredFunctionsUsingCallSyntax`
      Specified by:
        `supportsStoredFunctionsUsingCallSyntax` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### autoCommitFailureClosesAllResultSets

          public boolean autoCommitFailureClosesAllResultSets()
                                                       throws java.sql.SQLException

      Not implemented `See autoCommitFailureClosesAllResultSets`
      Specified by:
        `autoCommitFailureClosesAllResultSets` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getClientInfoProperties

          public java.sql.ResultSet getClientInfoProperties()
                                                     throws java.sql.SQLException

      Not implemented `See getClientInfoProperties`
      Specified by:
        `getClientInfoProperties` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getFunctions

          public java.sql.ResultSet getFunctions​(java.lang.String catalog,
                                                 java.lang.String schemaPattern,
                                                 java.lang.String functionNamePattern)
                                          throws java.sql.SQLException

      Not implemented `See getFunctions`
      Specified by:
        `getFunctions` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getFunctionColumns

          public java.sql.ResultSet getFunctionColumns​(java.lang.String catalog,
                                                       java.lang.String schemaPattern,
                                                       java.lang.String functionNamePattern,
                                                       java.lang.String columnNamePattern)
                                                throws java.sql.SQLException

      Not implemented `See getFunctionColumns`
      Specified by:
        `getFunctionColumns` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getPseudoColumns

          public java.sql.ResultSet getPseudoColumns​(java.lang.String catalog,
                                                     java.lang.String schemaPattern,
                                                     java.lang.String tableNamePattern,
                                                     java.lang.String columnNamePattern)
                                              throws java.sql.SQLException

      Not implemented `See getPseudoColumns`
      Specified by:
        `getPseudoColumns` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`

    - #### generatedKeyAlwaysReturned

          public boolean generatedKeyAlwaysReturned()
                                             throws java.sql.SQLException

      Not implemented `See getPseudoColumns`
      Specified by:
        `generatedKeyAlwaysReturned` in interface `java.sql.DatabaseMetaData`
      Throws:
        `java.sql.SQLException`